com.google.gwt.typedarrays.server

## Class ArrayBufferImpl

- java.lang.Object
- - com.google.gwt.typedarrays.server.ArrayBufferImpl

All Implemented Interfaces:
  ArrayBuffer

    public class ArrayBufferImpl
    extends java.lang.Object
    implements ArrayBuffer

Pure Java implementation of `ArrayBuffer`, plus package-protected methods for use by related implementation classes.

### Constructor Summary

Constructors
Constructor and Description
`ArrayBufferImpl(int length)`

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `byteLength()` The length of the `ArrayBuffer` in bytes, which does not change.
`(package private) float` `getFloat32(int byteOffset, boolean littleEndian)`
`(package private) double` `getFloat64(int byteOffset, boolean littleEndian)`
`(package private) short` `getInt16(int byteOffset, boolean littleEndian)`
`(package private) int` `getInt32(int byteOffset, boolean littleEndian)`
`(package private) byte` `getInt8(int byteOffset)`
`(package private) void` `setFloat32(int byteOffset, float value, boolean littleEndian)`
`(package private) void` `setFloat64(int byteOffset, double value, boolean littleEndian)`
`(package private) void` `setInt16(int byteOffset, short value, boolean littleEndian)`
`(package private) void` `setInt32(int byteOffset, int value, boolean littleEndian)`
`(package private) void` `setInt8(int byteOffset, byte value)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ArrayBufferImpl

    public ArrayBufferImpl(int length)

Parameters:
  `length` -

### Method Detail

#### byteLength

    public int byteLength()

Description copied from interface: `ArrayBuffer`
The length of the `ArrayBuffer` in bytes, which does not change.

Specified by:
  `byteLength` in interface `ArrayBuffer`
Returns:
  non-negative length

#### getFloat32

    float getFloat32(int byteOffset,
                     boolean littleEndian)

#### getFloat64

    double getFloat64(int byteOffset,
                      boolean littleEndian)

#### getInt16

    short getInt16(int byteOffset,
                   boolean littleEndian)

#### getInt32

    int getInt32(int byteOffset,
                 boolean littleEndian)

#### getInt8

    byte getInt8(int byteOffset)

#### setFloat32

    void setFloat32(int byteOffset,
                    float value,
                    boolean littleEndian)

#### setFloat64

    void setFloat64(int byteOffset,
                    double value,
                    boolean littleEndian)

#### setInt16

    void setInt16(int byteOffset,
                  short value,
                  boolean littleEndian)

#### setInt32

    void setInt32(int byteOffset,
                  int value,
                  boolean littleEndian)

#### setInt8

    void setInt8(int byteOffset,
                 byte value)